%define module_name	hcfpcimodem
%define module_version	0.99mbsibeta02123100
%define module_release	alt8.6

%define kversion	2.4.29
%define krelease	alt6
%define flavour		std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	hcfpcimodem kernel modules for Conexant Soft Modems support
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

Provides:       hcfpcimodem-kernel = %version

%description
hcfpcimodem kernel modules for Conexant Soft Modems support.

These are modules for your ALT Linux system

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C modules KERNELSRC=%_includedir/linux-%kversion-%flavour CC=gcc all

%install
mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
%make_build -C modules KERNELSRC=%_includedir/linux-%kversion-%flavour \
    HCF_MODS_DIR=$RPM_BUILD_ROOT/%module_dir modules_install

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc LICENSE

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 0.99mbsibeta02123100-alt8.6
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 0.99mbsibeta02123100-alt7.6
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 0.99mbsibeta02123100-alt6.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 0.99mbsibeta02123100-alt5.6
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 0.99mbsibeta02123100-alt4.6
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 0.99mbsibeta02123100-alt3.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 0.99mbsibeta02123100-alt2.6
- Fixed spec file name.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Sun Sep 28 2003 Sergey Vlasov <vsu@altlinux.ru> 0.99mbsibeta02123100-alt1.6
- reverted to 0.99mbsibeta02123100 (Serial not needed due to version format)
- removed wrong URL

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 0.99lnxtbeta03042700-alt1.6
- replace /usr/include to _includedir

* Fri Aug 22 2003 Albert R. Valiev <darkstar@altlinux.ru> 0.99lnxtbeta03042700-alt1
- Initial build
